CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

            calibre-smtp [opcje] [from to text]

Wyślij mail przy użyciu protokołu SMTP. calibre-smtp ma dwa tryby pracy. W trybie tworzenia wiadomości określasz od kogo, do kogo i tekst wiadomości, na podstawie których jest budowana, a następnie wysyłana wiadomość. W trybie filtrowania calibre-smtp odczytuje dane z STDIN i wysyła je. text jest treścią wiadomości. Jeśli treść nie jest podana, jest ona odczytywana z STDIN. to jest adresem e-mailowym odbiorcy wiadomości, zaś from - adresem nadawcy. Jeśli kompletna wiadomość jest odczytywana z STDIN adresy nadawcy i odbiorcy są używane jedynie do negocjacji w protokole SMTP, nagłówki wiadomości nie są modyfikowane.

Ilekroć przekazujesz argumenty do calibre-smtp, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

[OPCJE]

    --fork, -f
        Oddziel i dostarcz wiadomość w tle. Jeśli użyjesz tej opcji, powinieneś użyć również parametru --outbox, by móc zareagować na błędy przy dostarczaniu wiadomości.

    --help, -h
        wyświetla ten tekst pomocy i kończy działanie

    --localhost, -l
        Lokalna nazwa komputera. Używana przy połączeniu z serwerem SMTP.

    --outbox, -o
        Ścieżka do folderu, w którym będą przechowywane wiadomości, których nie udało się wysłać.

    --timeout, -t
        Limit czasu połączenia

    --verbose, -v
        Podaj więcej danych

    --version
        wyświetla wersję programu i kończy działanie

  COMPOSE MAIL

Opcje tworzenia wiadomości. Ignorowane, jeśli treść wiadomości nie została podana

    --attachment, -a
        Plik do załączenia do maila

    --subject, -s
        Temat maila

  SMTP RELAY

Opcje, aby korzystać z serwera SMTP do wysyłania poczty. calibre będzie próbował wysłać e-mail bezpośrednio, chyba, że --relay jest określony.

    --cafile
        Ścieżka do pliku połączonych certyfikatów CA w formacie PEM, służącym do weryfikacji certyfikatu serwera podczas korzystania z TLS. Domyślnie używane są certyfikaty systemu CA.

    --dont-verify-server-certificate
        Nie weryfikuj certyfikatu serwera podczas łączenia za pomocą TLS. To było domyślne zachowanie w wersjach calibre starszych niż 3.27. Jeśli używasz przekaźnika z samopodpisanym lub w inny sposób nieważnym certyfikatem, możesz użyć tej opcji, aby przywrócić zachowanie wcześniejsze niż 3.27

    --encryption-method, -e
        Metoda szyfrowania używana przy połączeniu z serwerem pocztowym. Do wyboru są: TLS, SSL lub NONE. Domyślną jest TLS. UWAGA: wybranie NONE jest bardzo niebezpieczne

    --password, -p
        Hasło

    --port
        Port do połączenia z serwerem pocztowym. Domyślnie jest to 465 jeśli używana się SSL, a 25 w innym przypadku.

    --relay, -r
        Serwer SMTP, używany do wysyłania poczty.

    --username, -u
        Nazwa użytkownika

Author
Kovid Goyal

Copyright
Kovid Goyal